## libhamcrest-java 1.1

=== debian/changelog ===
libhamcrest-java (1.1-8) unstable; urgency=low

  * Team upload.
  * Re-added OSGi-metadata to the jar files.
  * Removed depends on JRE; which is no longer needed per the Java Policy.
  * Removed some B-D-I that appeared twice.
  * Added missing description to a patch.
  * Fixed clean target - it forgot to remvoe some maven-helper files.

 -- Niels Thykier <niels@thykier.net>  Sun, 27 Jun 2010 17:29:24 +0200

libhamcrest-java (1.1-7) unstable; urgency=low

  * Update watch file
  * Use upstream build.xml with necessary patches for the build,
    delete debian/build.xml
  * Add Build-Depends on libjarjar-java, default-jdk-doc, junit-doc
    junit4-doc, junit, junit4, libeasymock-java, libjmock-java, testng
  * Add documentation package containing the javadoc for the package

 -- Ludovic Claude <ludovic.claude@laposte.net>  Fri, 28 May 2010 23:34:45 +0200

libhamcrest-java (1.1-6) unstable; urgency=low

  [ Gabriele Giacone ]
  * Added Maven support.
    - added poms taken from upstream svn trunk
    - added d/copyright section for debian/poms
    - added maven-repo-helper to Build-Depends

  [ Damien Raude-Morvan ]
  * Upload to unstable

 -- Damien Raude-Morvan <drazzib@debian.org>  Fri, 19 Mar 2010 22:42:34 +0100

libhamcrest-java (1.1-5) unstable; urgency=low

  [ Gabriele Giacone ]
  * Added generation of one class with all static imports (Matchers.class).
  * Standards-Version to 3.8.4.
  * Source format 3.0 (quilt).
  * d/copyright converted to DEP-5 format.
  * Repackaging info moved from d/copyright to d/README.source

  [ Damien Raude-Morvan ]
  * Upload to unstable

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 14 Mar 2010 22:18:34 +0100

libhamcrest-java (1.1-4) unstable; urgency=low

  [ Thierry Carrez ]
  * Set minimal dependency to java5-runtime-headless since we build Java5 code

  [ Damien Raude-Morvan ]
  * Add myself to Uploaders
  * Add debian/manifest/*.mf for OSGi metadata (Closes: #558185)

 -- Damien Raude-Morvan <drazzib@debian.org>  Sun, 29 Nov 2009 01:07:12 +0100

libhamcrest-java (1.1-3) unstable; urgency=low

  * (Build-)Depends on default-jdk.
  * Build-Depends on debhelper >= 7.
  * Put package into section 'java'.
  * Added Depends ${misc:Depends}.
  * Added myself to Uploaders. 
  * Updated Standards-Version to 3.8.3.

 -- Michael Koch <konqueror@gmx.de>  Thu, 24 Sep 2009 08:04:44 +0200

libhamcrest-java (1.1-2) unstable; urgency=low

  * Fix java bytecode / java runtime version mismatch (Closes: #503799)

 -- Varun Hiremath <varun@debian.org>  Sat, 01 Nov 2008 03:21:49 -0400

libhamcrest-java (1.1-1) unstable; urgency=low

  * Initial release (Closes: #470523)

 -- Varun Hiremath <varun@debian.org>  Tue, 15 Jul 2008 22:24:09 +0530
