## libhamcrest-java 1.2

=== debian/changelog ===
libhamcrest-java (1.2-2) unstable; urgency=low

  [ by sponsor Steffen Moeller ]
  * Transition from eperimental (two months with no complaint) to unstable
    (Closes: #548144).
  * Removed Michael Koch from uploaders (Closes: #654068)

 -- Brian Thomason <brian.thomason@gmail.com>  Sat, 04 Feb 2012 14:36:14 +0100

libhamcrest-java (1.2-1) experimental; urgency=low

  * New upstream release
  * Bumped Standards-Version to 3.9.2 (no changes)
  [ by sponsor Steffen Moeller ]
  * Added Brian to uploaders.
  * Added DMUA flag.
  * Added test on existance of file prior to jar generation.

 -- Brian Thomason <brian.thomason@gmail.com>  Fri, 02 Dec 2011 17:55:55 +0000
