=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Varun Hiremath <varun@debian.org>, Michael Koch <konqueror@gmx.de>,
- Damien Raude-Morvan <drazzib@debian.org>
+Uploaders: Varun Hiremath <varun@debian.org>,
+ Damien Raude-Morvan <drazzib@debian.org>,
+ Brian Thomason <brian.thomason@gmail.com>
 Build-Depends: cdbs, debhelper (>= 7), ant, default-jdk, maven-repo-helper
 Build-Depends-Indep: libqdox-java, libeasymock-java, libjmock-java, libjarjar-java,
  default-jdk-doc, junit-doc, junit4-doc, junit, junit4, testng
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/hamcrest/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/libhamcrest-java
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/libhamcrest-java
+DM-Upload-Allowed: yes
 
 Package: libhamcrest-java
 Architecture: all
