## libhamcrest-java 1.3

=== debian/changelog ===
libhamcrest-java (1.3-9) unstable; urgency=medium

  * Team upload.
  * Improved the generated methods ordering

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Apr 2019 10:36:34 +0200

libhamcrest-java (1.3-8) unstable; urgency=medium

  * Team upload.
  * Improved the reproducibility by generating the matchers methods
    in alphabetical order
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 01 Apr 2019 00:27:31 +0200

libhamcrest-java (1.3-7) unstable; urgency=medium

  * Team upload.
  * Removed Damien Raude-Morvan from the uploaders (Closes: #889444)
  * Moved the package to Git
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 18 Apr 2018 14:27:06 +0200

libhamcrest-java (1.3-6) unstable; urgency=medium

  * Team upload.
  * wrap-and-sort -sa.
  * Switch from cdbs to dh sequencer.
  * Use only Build-Depends field.
  * Declare compliance with Debian Policy 3.9.8.
  * Vcs-Browser: Use https.
  * Switch to compat level 10.
  * Fix debian/watch file and use the new github.com address from now on.
  * Drop 002-fix-random-compilation-failure.patch.
  * Add 002-random-build-failure.patch and ensure that the build uses the
    preexisting jars in /usr/share/java. Add libhamcrest-java to Build-Depends.
    (Closes: #846116)

 -- Markus Koschany <apo@debian.org>  Sat, 07 Jan 2017 00:33:15 +0100

libhamcrest-java (1.3-5) unstable; urgency=medium

  * Fixed a random build failure (Closes: #738789)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 26 Mar 2014 10:09:07 +0100

libhamcrest-java (1.3-4) unstable; urgency=medium

  * Removed the unused build dependency on testng
  * Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 24 Dec 2013 00:06:49 +0100

libhamcrest-java (1.3-3) unstable; urgency=low

  * Install hamcrest-unit-test.jar in /usr/share/java (Closes: #724950)
  * Use canonical URLs for the Vcs-* fields

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Oct 2013 13:05:07 +0200

libhamcrest-java (1.3-2) unstable; urgency=low

  * Team upload.
  * Upload to unstable.

 -- tony mancill <tmancill@debian.org>  Wed, 22 May 2013 22:14:58 -0700

libhamcrest-java (1.3-1) experimental; urgency=low

  * Team upload.
  * New upstream release
  * Refreshed the patch
  * The poms from the original source are used instead of those in debian/poms
  * Added the hamcrest-all.jar to the jars deployed in /usr/share/java
  * Removed the manifest for the hamcrest-text.jar (no longer used since 1.1)
  * Updated the OSGi metadata
  * debian/control: Updated the homepage
  * debian/control: Removed the deprecated DMUA flag
  * debian/control: Bumped Standards-Version to 3.9.4 (no changes)
  * debian/watch: Fixed the version pattern to exclude the PHP versions
  * debian/copyright: Updated the format URI to the 1.0 version

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 10 Apr 2013 14:46:32 +0200
