## libhamcrest-java 2.2

=== debian/changelog ===
libhamcrest-java (2.2-2) unstable; urgency=medium

  * Fixed the type inference errors when building with source/target level 8
    (Closes: #1052743)
  * Standards-Version updated to 4.6.2

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 27 Sep 2023 08:20:10 +0200

libhamcrest-java (2.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #1014824)
    - Build with Gradle instead of Ant
    - Restored org.hamcrest.Factory to preserve the backward compatibility
    - Link hamcrest-{all,core,library}.jar to hamcrest.jar
    - No longer depend on libjarjar-java and libqdox-java
  * Removed the -java-doc package
  * Updated the watch file
  * Standards-Version updated to 4.6.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Sep 2022 19:19:49 +0200
