=== debian/control ===
Source: libhamcrest-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Varun Hiremath <varun@debian.org>,
 Brian Thomason <brian.thomason@gmail.com>,
 Emmanuel Bourg <ebourg@apache.org>
Build-Depends:
 debhelper-compat (= 13),
 default-jdk,
 gradle-debian-helper,
 libhamcrest-java,
 maven-repo-helper,
 junit,
 junit4,
 libeasymock-java,
 libjmock-java
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/java-team/libhamcrest-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libhamcrest-java
Homepage: http://hamcrest.org

Package: libhamcrest-java
Architecture: all
Depends:
 ${misc:Depends}
Description: library of matchers for building test expressions
 Provides a library of matcher objects (also known as constraints or
 predicates) allowing 'match' rules to be defined declaratively, to be
 used in other frameworks. Typical scenarios include testing
 frameworks, mocking libraries and UI validation rules.
