=== debian/watch ===
version=4
https://github.com/hamcrest/JavaHamcrest/tags .*/(?:hamcrest-java-|v)([\d\.]+).tar.gz
